Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.util
Class PasswordCallbackInfo

    java.lang.Object
      |
      +--org.mozilla.jss.util.PasswordCallbackInfo

Direct Known Subclasses:
  TokenCallbackInfo

public class PasswordCallbackInfo
extends java.lang.Object

An object of this class is passed to a PasswordCallback to give it information about the token that is being logged into.

Field Summary
`static int` | `FILE` Logging into a file.
`protected java.lang.String` | `name`
`static int` | `TOKEN` Logging into a PKCS #11 token.
`protected int` | `type`

Constructor Summary
`PasswordCallbackInfo(java.lang.String name, int type)`

Method Summary
`java.lang.String` | `getName()` The name of the file or token that is being logged into.
`int` | `getType()` The type of object that is being logged into, `FILE` or `TOKEN`.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected int type

### FILE

    public static final int FILE

  Logging into a file.

### TOKEN

    public static final int TOKEN

  Logging into a PKCS #11 token.

Constructor Detail

### PasswordCallbackInfo

    public PasswordCallbackInfo(java.lang.String name,
                                int type)

  Parameters:
    `name` - The name of the file or token that is being logged into.
    `type` - The type of object (`FILE` or `TOKEN`) that is being logged into.

Method Detail

### getName

    public java.lang.String getName()

  The name of the file or token that is being logged into.

### getType

    public int getType()

  The type of object that is being logged into, `FILE` or `TOKEN`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD